from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.frame import XModel

@runtime_checkable
class XChartDocument(XModel, Protocol):
    def getFirstDiagram(self) -> XDiagram: ...
    def setFirstDiagram(self, xDiagram: XDiagram) -> None: ...
    def hasInternalDataProvider(self) -> bool: ...
    def getDataProvider(self) -> XDataProvider: ...
    def setChartTypeManager(self, xNewManager: XChartTypeManager) -> None: ...
    def getChartTypeManager(self) -> XChartTypeManager: ...
    def getPageBackground(self) -> XPropertySet: ...
    def createDefaultChart(self) -> None: ...
    def getStyles(self) -> XChartStyle: ...
    def getColorStyles(self) -> XChartColorStyle: ...
